Search for query

  1. Search 7.x for query
  2. Search 9.5.x for query
  3. Search 8.9.x for query
  4. Search 10.3.x for query
  5. Search 11.x for query
  6. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Query class core/modules/workspaces/src/EntityQuery/Query.php Alters entity queries to use a workspace revision instead of the default one.
Query class core/lib/Drupal/Core/Config/Entity/Query/Query.php Defines the entity query for configuration entities.
Query class core/lib/Drupal/Core/Database/Query/Query.php Base class for query builders.
Query class core/lib/Drupal/Core/Entity/Query/Sql/Query.php The SQL storage entity query class.
Query class core/lib/Drupal/Core/Entity/Query/Null/Query.php Defines the entity query for configuration entities.
Query class core/lib/Drupal/Core/Entity/KeyValueStore/Query/Query.php Defines the entity query for entities stored in a key value backend.

All search results

Title Object type File name Summary
TestSqlBase::query function core/modules/migrate/tests/src/Unit/SqlBaseTest.php Prepares query object to retrieve data from the source database.
TestSqlBase::query function core/modules/migrate/tests/src/Kernel/SqlBaseTest.php Prepares query object to retrieve data from the source database.
TestSqlBase::setQuery function core/modules/migrate/tests/src/Kernel/SqlBaseTest.php Sets the query to execute.
TestSqlPrepareQuery class core/modules/migrate/tests/modules/migrate_sql_prepare_query_test/src/Plugin/migrate/source/TestSqlPrepareQuery.php Source plugin for prepare query test.
TestSqlPrepareQuery.php file core/modules/migrate/tests/modules/migrate_sql_prepare_query_test/src/Plugin/migrate/source/TestSqlPrepareQuery.php
TestSqlPrepareQuery::fields function core/modules/migrate/tests/modules/migrate_sql_prepare_query_test/src/Plugin/migrate/source/TestSqlPrepareQuery.php Returns available fields on the source.
TestSqlPrepareQuery::getIds function core/modules/migrate/tests/modules/migrate_sql_prepare_query_test/src/Plugin/migrate/source/TestSqlPrepareQuery.php Defines the source fields uniquely identifying a source row.
TestSqlPrepareQuery::prepareQuery function core/modules/migrate/tests/modules/migrate_sql_prepare_query_test/src/Plugin/migrate/source/TestSqlPrepareQuery.php Adds tags and metadata to the query.
TestSqlPrepareQuery::query function core/modules/migrate/tests/modules/migrate_sql_prepare_query_test/src/Plugin/migrate/source/TestSqlPrepareQuery.php Prepares query object to retrieve data from the source database.
Text::preQuery function core/modules/views/src/Plugin/views/area/Text.php Run before the view is built.
ThemeSettings::query function core/modules/system/src/Plugin/migrate/source/d7/ThemeSettings.php Prepares query object to retrieve data from the source database.
Thread::query function core/modules/comment/src/Plugin/views/sort/Thread.php Called to add the sort to a query.
TrackChangesTest::query function core/modules/migrate/tests/modules/migrate_track_changes_test/src/Plugin/migrate/source/TrackChangesTest.php Prepares query object to retrieve data from the source database.
TransactionTest::testQueryFailureInTransaction function core/tests/Drupal/KernelTests/Core/Database/TransactionTest.php Tests that transactions can continue to be used if a query fails.
TranslationLanguageRenderer::query function core/modules/views/src/Entity/Render/TranslationLanguageRenderer.php Alters the query if needed.
UidRevision::query function core/modules/node/src/Plugin/views/filter/UidRevision.php Add this filter to the query.
UidRevision::query function core/modules/node/src/Plugin/views/argument/UidRevision.php Set up the query for this argument.
UidRevisionTrait::uidRevisionQuery function core/modules/node/src/Plugin/views/UidRevisionTrait.php Checks for nodes that a user posted or created a revision on.
UniqueFieldConstraintTestHooks::queryEntityTestAccessAlter function core/modules/system/tests/modules/unique_field_constraint_test/src/Hook/UniqueFieldConstraintTestHooks.php Implements hook_query_entity_test_access_alter().
Update::getQueryArguments function core/lib/Drupal/Core/Database/Query/Update.php Returns the query arguments with placeholders mapped to their values.
Upload::query function core/modules/file/src/Plugin/migrate/source/d6/Upload.php Prepares query object to retrieve data from the source database.
UrlAliasBase::query function core/modules/path/src/Plugin/migrate/source/UrlAliasBase.php Prepares query object to retrieve data from the source database.
UrlAlterTest::testUrlWithQueryString function core/tests/Drupal/KernelTests/Core/Path/UrlAlterTest.php Tests altering outbound query string.
UrlHelper::buildQuery function core/lib/Drupal/Component/Utility/UrlHelper.php Parses an array into a valid query string encoded with rawurlencode().
UrlHelper::compressQueryParameter function core/lib/Drupal/Component/Utility/UrlHelper.php Compresses a string for use in a query parameter.
UrlHelper::filterQueryParameters function core/lib/Drupal/Component/Utility/UrlHelper.php Filters a URL query parameter array to remove unwanted elements.
UrlHelper::uncompressQueryParameter function core/lib/Drupal/Component/Utility/UrlHelper.php Takes a compressed parameter and converts it back to the original.
UrlHelperTest::providerTestBuildQuery function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides test data for testBuildQuery().
UrlHelperTest::providerTestFilterQueryParameters function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides data to self::testFilterQueryParameters().
UrlHelperTest::testBuildQuery function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests query building.
UrlHelperTest::testFilterQueryParameters function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests query filtering.
UrlTest::providerUrlFromRequestWithQueryParameters function core/tests/Drupal/Tests/Core/UrlTest.php Data provider for testUrlFromRequestWithQueryParameters.
UrlTest::testDrupalGetQueryParameters function core/modules/system/tests/src/Kernel/Common/UrlTest.php Tests UrlHelper::filterQueryParameters().
UrlTest::testUrlFromRequestWithQueryParameters function core/tests/Drupal/Tests/Core/UrlTest.php Tests creating a URL from a request with query parameters.
User::query function core/modules/user/src/Plugin/migrate/source/d6/User.php Prepares query object to retrieve data from the source database.
User::query function core/modules/user/src/Plugin/migrate/source/d7/User.php Prepares query object to retrieve data from the source database.
UserEntityTranslation::query function core/modules/user/src/Plugin/migrate/source/d7/UserEntityTranslation.php Prepares query object to retrieve data from the source database.
UserPicture::query function core/modules/user/src/Plugin/migrate/source/d6/UserPicture.php Prepares query object to retrieve data from the source database.
UserPictureFile::query function core/modules/user/src/Plugin/migrate/source/d6/UserPictureFile.php Prepares query object to retrieve data from the source database.
UserSelection::buildEntityQuery function core/modules/user/src/Plugin/EntityReferenceSelection/UserSelection.php Builds an EntityQuery to get referenceable entities.
UserSelection::entityQueryAlter function core/modules/user/src/Plugin/EntityReferenceSelection/UserSelection.php Allows altering the SelectQuery generated by EntityFieldQuery.
UserTest::testQueryInvolvingRoles function core/modules/jsonapi/tests/src/Functional/UserTest.php Tests good error DX when trying to filter users by role.
UserUid::query function core/modules/comment/src/Plugin/views/filter/UserUid.php Add this filter to the query.
UserUid::query function core/modules/comment/src/Plugin/views/argument/UserUid.php Set up the query for this argument.
UserViewsExecutionHooks::viewsQuerySubstitutions function core/modules/user/src/Hook/UserViewsExecutionHooks.php Implements hook_views_query_substitutions().
Variable::query function core/modules/migrate_drupal/src/Plugin/migrate/source/Variable.php Prepares query object to retrieve data from the source database.
VariableMultiRow::query function core/modules/migrate_drupal/src/Plugin/migrate/source/VariableMultiRow.php Prepares query object to retrieve data from the source database.
VariableTranslation::query function core/modules/migrate_drupal/src/Plugin/migrate/source/d6/VariableTranslation.php Prepares query object to retrieve data from the source database.
VariableTranslation::query function core/modules/migrate_drupal/src/Plugin/migrate/source/d7/VariableTranslation.php Prepares query object to retrieve data from the source database.
Vid::titleQuery function core/modules/node/src/Plugin/views/argument/Vid.php Override the behavior of title(). Get the title of the revision.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.